Bug 1307250 - [abrt] anjuta: gdk_wayland_window_get_fake_root_coords(): anjuta killed by SIGSEGV
[abrt] anjuta: gdk_wayland_window_get_fake_root_coords(): anjuta killed by SI...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ec1131c734c33ce6f58cdfd0ca0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-13 11:32 EST by yucef sourani
Modified: 2017-08-08 08:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:46:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.62 KB, text/plain)
2016-02-13 11:32 EST, yucef sourani
no flags Details
File: cgroup (242 bytes, text/plain)
2016-02-13 11:32 EST, yucef sourani
no flags Details
File: core_backtrace (10.34 KB, text/plain)
2016-02-13 11:32 EST, yucef sourani
no flags Details
File: dso_list (13.19 KB, text/plain)
2016-02-13 11:32 EST, yucef sourani
no flags Details
File: environ (968 bytes, text/plain)
2016-02-13 11:32 EST, yucef sourani
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-13 11:32 EST, yucef sourani
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-13 11:32 EST, yucef sourani
no flags Details
File: maps (81.11 KB, text/plain)
2016-02-13 11:32 EST, yucef sourani
no flags Details
File: mountinfo (3.57 KB, text/plain)
2016-02-13 11:32 EST, yucef sourani
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-13 11:32 EST, yucef sourani
no flags Details
File: open_fds (2.88 KB, text/plain)
2016-02-13 11:32 EST, yucef sourani
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-02-13 11:32 EST, yucef sourani
no flags Details
File: var_log_messages (19.83 KB, text/plain)
2016-02-13 11:32 EST, yucef sourani
no flags Details

  None (edit)
Description yucef sourani 2016-02-13 11:32:04 EST
Version-Release number of selected component:
anjuta-3.18.2-3.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        anjuta
crash_function: gdk_wayland_window_get_fake_root_coords
executable:     /usr/bin/anjuta
global_pid:     10393
kernel:         4.5.0-0.rc3.git1.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_wayland_window_get_fake_root_coords at gdkwindow-wayland.c:1160
 #1 gdk_wayland_window_create_xdg_popup at gdkwindow-wayland.c:1193
 #2 gdk_wayland_window_map at gdkwindow-wayland.c:1467
 #3 gdk_wayland_window_show at gdkwindow-wayland.c:1493
 #4 gdk_window_show_internal at gdkwindow.c:5011
 #5 gtk_window_map at gtkwindow.c:6233
 #6 _g_closure_invoke_va at gclosure.c:867
 #9 gtk_widget_map at gtkwidget.c:4981
 #10 gtk_window_show at gtkwindow.c:6089
 #15 gtk_widget_show at gtkwidget.c:4782
Comment 1 yucef sourani 2016-02-13 11:32:14 EST
Created attachment 1123792 [details]
File: backtrace
Comment 2 yucef sourani 2016-02-13 11:32:16 EST
Created attachment 1123793 [details]
File: cgroup
Comment 3 yucef sourani 2016-02-13 11:32:18 EST
Created attachment 1123794 [details]
File: core_backtrace
Comment 4 yucef sourani 2016-02-13 11:32:21 EST
Created attachment 1123795 [details]
File: dso_list
Comment 5 yucef sourani 2016-02-13 11:32:24 EST
Created attachment 1123796 [details]
File: environ
Comment 6 yucef sourani 2016-02-13 11:32:26 EST
Created attachment 1123797 [details]
File: exploitable
Comment 7 yucef sourani 2016-02-13 11:32:27 EST
Created attachment 1123798 [details]
File: limits
Comment 8 yucef sourani 2016-02-13 11:32:34 EST
Created attachment 1123799 [details]
File: maps
Comment 9 yucef sourani 2016-02-13 11:32:36 EST
Created attachment 1123800 [details]
File: mountinfo
Comment 10 yucef sourani 2016-02-13 11:32:38 EST
Created attachment 1123801 [details]
File: namespaces
Comment 11 yucef sourani 2016-02-13 11:32:40 EST
Created attachment 1123802 [details]
File: open_fds
Comment 12 yucef sourani 2016-02-13 11:32:42 EST
Created attachment 1123803 [details]
File: proc_pid_status
Comment 13 yucef sourani 2016-02-13 11:32:45 EST
Created attachment 1123804 [details]
File: var_log_messages
Comment 14 Jan Kurik 2016-02-24 09:31:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 mchalupa 2016-03-10 06:02:38 EST
this is very probably not a bug in anjuta but in gtk+, changing to gtk+
Comment 16 Olivier Fourdan 2016-03-15 05:05:11 EDT
I reckon this is upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=763110 already fixed upstream (in gtk+ 3.19.12)
Comment 17 Fedora End Of Life 2017-07-25 15:56:02 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2017-08-08 08:46:33 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.